from setuptools import setup, find_packages
import codecs
import os


with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

# dependencies
dependencies = [
    'absl-py',
    'alabaster',
    'astunparse',
    'attrs',
    'Babel',
    'bleach',
    'build',
    'cachetools',
    'cbc',
    'certifi',
    'cffi',
    'charset-normalizer',
    'commonmark',
    'cryptography',
    'cycler',
    'docutils',
    'flatbuffers',
    'fonttools',
    'gast',
    'google-auth',
    'google-auth-oauthlib',
    'google-pasta',
    'grpcio',
    'h5py',
    'idna',
    'imagesize',
    'importlib-metadata',
    'iniconfig',
    'jeepney',
    'Jinja2',
    'keras',
    'Keras-Preprocessing',
    'keyring',
    'kiwisolver',
    'libclang',
    'Markdown',
    'MarkupSafe',
    'matplotlib',
    'numpy',
    'oauthlib',
    'opencv-python',
    'opt-einsum',
    'packaging',
    'pep517',
    'Pillow',
    'pkginfo',
    'pluggy',
    'protobuf',
    'py',
    'pyasn1',
    'pyasn1-modules',
    'pycparser',
    'Pygments',
    'pyparsing',
    'python-dateutil',
    'pytz',
    'readme-renderer',
    'requests',
    'requests-oauthlib',
    'requests-toolbelt',
    'rfc3986',
    'rich',
    'rsa',
    'scipy',
    'SecretStorage',
    'six',
    'snowballstemmer',
    'Sphinx',
    'sphinxcontrib-applehelp',
    'sphinxcontrib-devhelp',
    'sphinxcontrib-htmlhelp',
    'sphinxcontrib-jsmath',
    'sphinxcontrib-qthelp',
    'sphinxcontrib-serializinghtml',
    'tensorboard',
    'tensorboard-data-server',
    'tensorboard-plugin-wit',
    'tensorflow',
    'tensorflow-addons',
    'tensorflow-estimator',
    'tensorflow-io-gcs-filesystem',
    'termcolor',
    'tomli',
    'twine',
    'typeguard',
    'typing_extensions',
    'urllib3',
    'webencodings',
    'Werkzeug',
    'wrapt',
    'zipp'
]


# Setting up
setup(
    name='cbc',
    version='0.0.7',
    author='nemo256 (Amine Neggazi)',
    author_email='<neggazimedlamine@gmail.com>',
    description='Count Blood Cells',
    packages=find_packages(),
    long_description=long_description,
    long_description_content_type="text/markdown",
    url='https://github.com/nemo256/cbc',
    install_requires=dependencies,
    keywords=['python', 'artificial intelligence', 'deep learning', 'blood cells', 'image segmentation', 'unet'],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Operating System :: OS Independent',
    ],
    data_files=[
        ('share/cbc/weights', [
            'models/rbc.h5',
            'models/wbc.h5',
            'models/plt.h5'
        ]),
        ('share/cbc/images', [
            'test.jpg',
        ])
    ],
    scripts=['cbc']
)
